Description

redmine 652 (https://redmine.ucaiug.org/issues/652) adds a mandatory test case sGop13 to configure GoCB with a dataset with at
least maxAttribtues number of FCD dataset elements.
And it expects the DUT to send GOOSE messages.

But this does not consider the situation that the dataset may be too big to fit into a single GOOSE message and conflict with test
case sGopN2.

The maxAttribtues is not only used for GOOSE but also for dataset used in RCB.
RCB can have a very big dataset because it can send out segment but GOOSE can not.

Suggest to update the test case with words "if accepted”

History

#1 - 03/07/2023 09:15 AM - IEC 61850 TPWG
- Due date set to 03/21/2023
- Status changed from New to In Progress

- Assignee set to Richard Schimmel

Needs further review.

#2 - 03/21/2023 09:09 AM - IEC 61850 TPWG

Needs further review. sGop13 likely nonconformant.

definition of maxAttributes, particularly note at the bottom of the table in part 6 may need a TISSUE.

sGop13 effectively restricts the size of all datasets in the device to 1518 when GOOSE is supported, which seems wrong.
max PDU size has implication here also for getDataSetValues.

#3 - 04/18/2023 08:50 AM - IEC 61850 TPWG
- Due date changed from 03/21/2023 to 05/02/2023

652 / sGop13 must be revised to consider PDU size as a limit to maxAttributes.

#4 - 05/02/2023 06:50 AM - Richard Schimmel
- File Solution to redmine 0652 and 6276 sGop13 max dataset (2may2023).docx added
https://redmine.ucaiug.org/issues/652

Added "not exceeding the ethernet PDU size limit"

#5 - 05/16/2023 08:26 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

Agreed.

#6 - 03/01/2024 10:02 AM - Richard Schimmel
- Status changed from Resolved to Closed

- Updated Test Document set to TP1.3

Files

Solution to redmine 0652 and 6276 sGop13 max dataset (2may2023).dic8 KB
